=== progs/CMakeLists.txt ===
get_target_property(VCC vcc LOCATION)

add_subdirectory(common)
add_subdirectory(doom)
add_subdirectory(doom2)
add_subdirectory(heretic)
add_subdirectory(hexen)
add_subdirectory(strife)
