=== debian/changelog ===
vavoom (1.33-4) unstable; urgency=low

  * Add Provides:  boom-engine (Closes: #683766).

 -- gustavo panizzo <gfa@zumbi.com.ar>  Sat, 22 Sep 2012 01:19:39 -0300

vavoom (1.33-3) unstable; urgency=low

  * libpng migration fixes (Closes: #662531).
  * Description updated (Closes: #662209).
  * Fix FTBFS on GNU/Hurd.
  * Add libjpeg-dev to Build-Deps (Closes: #674339).
  * entries rectified with wrap-and-sort.
  * copyright file updated to comply with machine-readable format, version 1.0.
  * patches standarized to DEP-3.
  * enable hardening build.
  * symlink manpages to save some space.
  * update vcs: lines in control to point at git repository.

 -- gustavo panizzo <gfa@zumbi.com.ar>  Thu, 28 Mar 2012 14:20:50 -0300

vavoom (1.33-2) unstable; urgency=low

  * FreeDoom support on vlaunch, and better support 
    in general (Closes: #661233). 
  * Menu entry added. thanks Pabs (Closes: #661232).
  * Standards version bumped to 3.9.2

 -- gustavo panizzo <gfa@zumbi.com.ar>  Sat, 27 Feb 2012 01:41:09 -0300

vavoom (1.33-1) unstable; urgency=low

  * Initial release (Closes: #598406). 

 -- gustavo panizzo <gfa@zumbi.com.ar>  Thu, 16 Sep 2010 00:41:09 -0300
