=== debian/control ===
Source: vavoom
Section: games
Priority: extra
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: gustavo panizzo <gfa@zumbi.com.ar>, Jon Dowland <jmtd@debian.org>
Build-Depends: cmake,
               debhelper (>= 7.0.50~),
               liballegro4.2-dev,
               libflac++-dev,
               libmad0-dev,
               libmikmod2-dev,
               libpng-dev,
               libsdl-mixer1.2-dev,
               libvorbis-dev,
               libwxgtk2.8-dev,
               libjpeg8-dev,
               zlib1g-dev
Standards-Version: 3.9.3
Homepage: http://www.vavoom-engine.com/
Vcs-Browser: http://anonscm.debian.org/git/pkg-games/vavoom.git
Vcs-Git: git://anonscm.debian.org/pkg-games/vavoom.git

Package: vavoom
Provides: doom-engine, heretic-engine, boom-engine
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: freedoom | doom-wad | heretic-wad | game-data-packager | boom-wad
Description: Advanced Doom/Heretic/Hexen/Strife engine
 Vavoom is an engine based on sources of Doom, Heretic, Hexen and
 a little bit from Quake.
 It needs game data to run, A free game data is available in
 freedoom package. Commercial game data can be packaged using
 game-data-packager.
 .
 Vavoom features vlaunch, a graphical launcher.
