=== debian/watch ===
version=3
http://sf.net/vavoom/vavoom-(.+)\.(?:tar\.(?:gz|bz2|xz))
